Subject: bug#22228: closed (Re: bug#22228: emacs-25 04dd5a5 fails to dump)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jan 2016 17:41:02 +0000

Your bug report

#22228: emacs-25 04dd5a5 fails to dump

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22228: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22228
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22228: emacs-25 04dd5a5 fails to dump
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 11 Jan 2016 12:39:58 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm guessing this went away (since works fine on hydra), but if still
present after 'make bootstrap', please reopen with requested info:

Eli Zaretskii wrote:

> Then I will need you to post the full transcript of the build, and
> please don't use parallel make commands ("make -j") when you run it.

Subject: emacs-25 04dd5a5 fails to dump
From: John Wiegley <[email-masked]>
To: [email-masked]
Date: Wed, 23 Dec 2015 12:34:55 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm getting:

--8<---------------cut here---------------start------------->8---
Loading international/ucs-normalize.el (source)...
Eager macro-expansion failure: (error "(require cl-lib) while preparing to dump")
Eager macro-expansion failure: (error "(require cl-lib) while preparing to dump")
(require cl-lib) while preparing to dump
Makefile:514: recipe for target 'emacs' failed
--8<---------------cut here---------------end--------------->8---

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2